package com.qmth.distributed.print;

import com.qmth.teachcloud.common.util.ConvertUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Description: 工具类方法测试类
 * @Author: CaoZixuan
 * @Date: 2022-04-12
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class ConvertUtilTest {
    @Test
    public void pdfToJpg() throws Exception {
        String sourcePath = "E:\\pdf\\嵌入式实验.pdf";
        String targetPath = "E:\\pdf\\嵌入式实验";
        ConvertUtil.pdfToImageFile(sourcePath,targetPath);
    }

    @Test
    public void submitEvaP(){
        String e = "{\n" +
                "  \"task\": {\n" +
                "    \"thirdRelateId\": 1,\n" +
                "    \"thirdRelateName\": \"考试1\",\n" +
                "    \"courseName\": \"语文\",\n" +
                "    \"courseCode\": \"yw001\",\n" +
                "    \"paperNumber\": 112345667,\n" +
                "    \"paperType\": \"AB\",\n" +
                "    \"paperTypes\": [\"A\", \"B\"],\n" +
                "    \"status\": \"FINISH\"\n" +
                "  },\n" +
                "  \"structure\": [\n" +
                "    {\n" +
                "      \"id\": \"rr1fbqe8ccbtino8\",\n" +
                "      \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "      \"mainTitle\": \"1111\",\n" +
                "      \"mainNumber\": 1,\n" +
                "      \"subNumber\": 1,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": true,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"qe8bmmcfmnrualau\",\n" +
                "      \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "      \"mainTitle\": \"1111\",\n" +
                "      \"mainNumber\": 1,\n" +
                "      \"subNumber\": 2,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": false,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"b890eq5gph1rnj28\",\n" +
                "      \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "      \"mainTitle\": \"1111\",\n" +
                "      \"mainNumber\": 1,\n" +
                "      \"subNumber\": 3,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": false,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"r5ur82e8j4sfhuje\",\n" +
                "      \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "      \"mainTitle\": \"1111\",\n" +
                "      \"mainNumber\": 1,\n" +
                "      \"subNumber\": 4,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": false,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"febv2i6omdni1nao\",\n" +
                "      \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "      \"mainTitle\": \"2222\",\n" +
                "      \"mainNumber\": 2,\n" +
                "      \"subNumber\": 1,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": true,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"vhhkj93ooqoal1vg\",\n" +
                "      \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "      \"mainTitle\": \"2222\",\n" +
                "      \"mainNumber\": 2,\n" +
                "      \"subNumber\": 2,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": false,\n" +
                "      \"expandSub\": true\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"d90rgrbgef610le8\",\n" +
                "      \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "      \"mainTitle\": \"2222\",\n" +
                "      \"mainNumber\": 2,\n" +
                "      \"subNumber\": 3,\n" +
                "      \"totalScore\": 1,\n" +
                "      \"isMainFirstSub\": false,\n" +
                "      \"expandSub\": true\n" +
                "    }\n" +
                "  ],\n" +
                "  \"markers\": [\n" +
                "    {\n" +
                "      \"id\": \"gv10hsogia49s8k8\",\n" +
                "      \"markers\": [\n" +
                "        {\n" +
                "          \"id\": \"236486056571052032\",\n" +
                "          \"userId\": \"236486056571052032\",\n" +
                "          \"label\": \"test1(美术印刷室)\",\n" +
                "          \"name\": \"test1\",\n" +
                "          \"orgName\": \"美术印刷室\",\n" +
                "          \"selected\": false,\n" +
                "          \"isUser\": true\n" +
                "        }\n" +
                "      ],\n" +
                "      \"markType\": 1,\n" +
                "      \"arbitration\": 1,\n" +
                "      \"questions\": [\n" +
                "        {\n" +
                "          \"id\": \"rr1fbqe8ccbtino8\",\n" +
                "          \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "          \"mainTitle\": \"1111\",\n" +
                "          \"mainNumber\": 1,\n" +
                "          \"subNumber\": 1,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": true,\n" +
                "          \"expandSub\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"qe8bmmcfmnrualau\",\n" +
                "          \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "          \"mainTitle\": \"1111\",\n" +
                "          \"mainNumber\": 1,\n" +
                "          \"subNumber\": 2,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": false,\n" +
                "          \"expandSub\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"b890eq5gph1rnj28\",\n" +
                "          \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "          \"mainTitle\": \"1111\",\n" +
                "          \"mainNumber\": 1,\n" +
                "          \"subNumber\": 3,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": false,\n" +
                "          \"expandSub\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"r5ur82e8j4sfhuje\",\n" +
                "          \"mainId\": \"hmdk0lmgf8b8a3dg\",\n" +
                "          \"mainTitle\": \"1111\",\n" +
                "          \"mainNumber\": 1,\n" +
                "          \"subNumber\": 4,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": false,\n" +
                "          \"expandSub\": true\n" +
                "        }\n" +
                "      ]\n" +
                "    },\n" +
                "    {\n" +
                "      \"id\": \"gfpiqsfg225g4mlg\",\n" +
                "      \"markers\": [\n" +
                "        {\n" +
                "          \"id\": \"236165142725787648\",\n" +
                "          \"userId\": \"236165142725787648\",\n" +
                "          \"label\": \"kw03(美术教研室)\",\n" +
                "          \"name\": \"kw03\",\n" +
                "          \"orgName\": \"美术教研室\",\n" +
                "          \"selected\": false,\n" +
                "          \"isUser\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"236160410883981312\",\n" +
                "          \"userId\": \"236160410883981312\",\n" +
                "          \"label\": \"mt03(美术教研室)\",\n" +
                "          \"name\": \"mt03\",\n" +
                "          \"orgName\": \"美术教研室\",\n" +
                "          \"selected\": false,\n" +
                "          \"isUser\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"236163969650262016\",\n" +
                "          \"userId\": \"236163969650262016\",\n" +
                "          \"label\": \"zr03(美术教研室)\",\n" +
                "          \"name\": \"zr03\",\n" +
                "          \"orgName\": \"美术教研室\",\n" +
                "          \"selected\": false,\n" +
                "          \"isUser\": true\n" +
                "        }\n" +
                "      ],\n" +
                "      \"markType\": 1,\n" +
                "      \"arbitration\": 1,\n" +
                "      \"questions\": [\n" +
                "        {\n" +
                "          \"id\": \"febv2i6omdni1nao\",\n" +
                "          \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "          \"mainTitle\": \"2222\",\n" +
                "          \"mainNumber\": 2,\n" +
                "          \"subNumber\": 1,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": true,\n" +
                "          \"expandSub\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"vhhkj93ooqoal1vg\",\n" +
                "          \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "          \"mainTitle\": \"2222\",\n" +
                "          \"mainNumber\": 2,\n" +
                "          \"subNumber\": 2,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": false,\n" +
                "          \"expandSub\": true\n" +
                "        },\n" +
                "        {\n" +
                "          \"id\": \"d90rgrbgef610le8\",\n" +
                "          \"mainId\": \"jt809h2g4i10gl58\",\n" +
                "          \"mainTitle\": \"2222\",\n" +
                "          \"mainNumber\": 2,\n" +
                "          \"subNumber\": 3,\n" +
                "          \"totalScore\": 1,\n" +
                "          \"isMainFirstSub\": false,\n" +
                "          \"expandSub\": true\n" +
                "        }\n" +
                "      ]\n" +
                "    }\n" +
                "  ]\n" +
                "}\n";
    }
}
